Create an idempotent persisted partner claim action.
curl --request POST \
--url https://portal.signalite.ai/api/v1/partner/actions/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"id": "1",
"account": "0xB4a1168b8Ea05aF1536aC990F4940e50E0Be17f1",
"receiver": "0xB4a1168b8Ea05aF1536aC990F4940e50E0Be17f1"
}
'import requests
url = "https://portal.signalite.ai/api/v1/partner/actions/claim"
payload = {
"id": "1",
"account": "0xB4a1168b8Ea05aF1536aC990F4940e50E0Be17f1",
"receiver": "0xB4a1168b8Ea05aF1536aC990F4940e50E0Be17f1"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: '1',
account: '0xB4a1168b8Ea05aF1536aC990F4940e50E0Be17f1',
receiver: '0xB4a1168b8Ea05aF1536aC990F4940e50E0Be17f1'
})
};
fetch('https://portal.signalite.ai/api/v1/partner/actions/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "deposit",
"status": "created",
"wallet": "<string>",
"receiver": "<string>",
"redeemId": "<string>",
"txHash": "<string>",
"request": {},
"quote": {
"action": "<string>",
"tx": {
"to": "<string>",
"data": "<string>",
"value": "0",
"chainId": 999
},
"account": "<string>",
"receiver": "<string>",
"metadata": {
"withdrawal": {
"requestedDestination": {
"chainId": 8453,
"chainName": "Base",
"usdcAddress": "<string>",
"enabled": true
},
"settlement": {
"chainId": 999,
"chainName": "HyperEVM",
"usdcAddress": "<string>",
"receiver": "<string>"
},
"postSettlementBridge": {
"required": true,
"provider": "relay",
"from": {
"chainId": 999,
"chainName": "HyperEVM",
"usdcAddress": "<string>"
},
"to": {
"chainId": 8453,
"chainName": "Base",
"usdcAddress": "<string>"
},
"recipient": "<string>",
"amountSource": "quote.expected.assets",
"mode": "deposit-address",
"relay": {
"provider": "relay",
"requestId": "0x17e6a5970c7ce45246e57e2cec28e65db34736c9850bdfd955147fb18a087fea",
"depositAddress": "<string>",
"statusUrl": "<string>",
"originChainId": 999,
"destinationChainId": 8453,
"amountRaw": "1000000",
"recipient": "<string>",
"refundTo": "<string>",
"originCurrency": "<string>",
"destinationCurrency": "<string>"
},
"submitRule": "<string>"
}
}
},
"quoteBlock": "<string>",
"requirements": [
{
"type": "approval",
"token": "<string>",
"spender": "<string>",
"amount": {
"raw": "1000000",
"decimals": 6,
"formatted": "1.000000"
},
"tx": {
"to": "<string>",
"data": "<string>",
"value": "0",
"chainId": 999
}
}
],
"expected": {
"assets": {
"raw": "1000000",
"decimals": 6,
"formatted": "1.000000"
},
"shares": {
"raw": "1000000",
"decimals": 6,
"formatted": "1.000000"
},
"minShares": {
"raw": "1000000",
"decimals": 6,
"formatted": "1.000000"
}
},
"slippageBps": 123,
"expiresAt": "2023-11-07T05:31:56Z"
},
"steps": [
{
"id": "approval-1",
"kind": "approval",
"status": "requires_signature",
"title": "Approve USDC",
"refreshQuoteAfterConfirm": true,
"tx": {
"to": "<string>",
"data": "<string>",
"value": "0",
"chainId": 999
}
}
],
"lastError": {},
"indexingPending": true,
"indexedAt": "2023-11-07T05:31:56Z",
"receiptBlockNumber": "<string>",
"idempotentReplay": true,
"metadata": {
"contractVersion": "shlp-pipe-v2",
"chainId": 999,
"addresses": {
"share": "<string>",
"core": "<string>",
"depositPipe": "<string>",
"redemptionPipe": "<string>",
"asset": "<string>"
},
"funding": {
"requiredBeforeAction": true,
"destination": {
"vm": "evm",
"chainId": 123,
"chainName": "<string>",
"token": {
"symbol": "USDC",
"decimals": 6,
"address": "<string>"
},
"relayWalletAdapter": "<string>"
},
"submitRule": "<string>"
}
},
"contractVersion": "shlp-pipe-v2",
"addresses": {
"share": "<string>",
"core": "<string>",
"depositPipe": "<string>",
"redemptionPipe": "<string>",
"asset": "<string>"
},
"timestamps": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"meta": {
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "ACTION_BUILD_FAILED",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "ACTION_BUILD_FAILED",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "ACTION_BUILD_FAILED",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "ACTION_BUILD_FAILED",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "ACTION_BUILD_FAILED",
"message": "<string>"
}
}Partner Actions
Create an idempotent persisted partner claim action.
POST
/
api
/
v1
/
partner
/
actions
/
claim
Create an idempotent persisted partner claim action.
Authorizations
Partner API key. Keep server-side; do not expose in public clients.
Headers
Required string length:
8 - 160Body
application/json